OPD Token History
This is an API will be invoked get the historical token numbers of the patient.
Header
AUTHORIZATION will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: ]
REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]
TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ] The access token from POST /api/hiecm/gateway/v3/sessions, sent with a The limit of data to be fetched Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended JWT Authentication token which was issued by ABDM after successful validation of username and password OK Bad Request The error code and message, if any occurred. ABDM-1006 - Bad Request, invalid request Body. May be returned either bare ( Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Not Found The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( Request Timeout The error code and message, if any occurred. ABDM-1007 - Connection failed due to timeout. May be returned either bare ( Too Many Requests The error code and message, if any occurred. ABDM-1022 - Too many requests. May be returned either bare ( Internal Server Error 900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Query parameters
limitstringRequiredHeaders
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-AUTH-TOKENstringRequiredResponses
200400errorobjecterror.codestringRequiredABDM-1006) or with a trailing ": " separator (ABDM-1006: ); match on the code itself and tolerate the separator.error.messagestringRequired401codestringmessagestringdescriptionstring404errorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequired408errorobjecterror.codestringRequiredABDM-1007) or with a trailing ": " separator (ABDM-1007: ); match on the code itself and tolerate the separator.error.messagestringRequired429errorobjecterror.codestringRequiredABDM-1022) or with a trailing ": " separator (ABDM-1022: ); match on the code itself and tolerate the separator.error.messagestringRequired500codestringmessagestringdescriptionstring503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired